> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/51.-sorgu-yielddataset-ten-izgarali-veri-al.md).

# 51. Sorgu: "YieldDataset"'ten Izgaralı Veri Al

"YieldDataset" ile ilişkili raster veri kümesinden ızgara verilerini almak için sorgu `GEOJSON`  noktalar ile veya `GEOTIFF`.properties özniteliği her nokta için tüm veri kümesi özelliklerini içerir.&#x20;

#### 1. Dışa aktarmak için bir dosya isteyin

{% hint style="danger" %}
Sadece tek bir veri kümesi almak önerilir `sourceDataUrl` istek başına.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, ve `MinusTwoPixels` olarak kullanılabilir `tampon`.

`GEOJSON` ve `GEOTIFF` bir format olarak mevcuttur.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromYieldDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      yieldDatasets(yieldDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Oluşturulan dosyayı indirin

Dosya başarıyla hazırlandıktan sonra, şu komut kullanılarak indirilebilir `curl` veya benzeri bir yaklaşımla.

{% hint style="danger" %}
`sourceDataUrl` link yalnızca erişilebilir **60 sn.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/51.-sorgu-yielddataset-ten-izgarali-veri-al.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
